Delete Charge - m3ter Documentation
Delete Charge
cURL
curl --request DELETE \
--url https://api.m3ter.com/organizations/{orgId}/charges/{id} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/charges/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/charges/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
- 200: Success
- 4XX: Client Error
- 5XX: Server Error
Successful Response
{
"id": "<string>",
"version": 123,
"name": "<string>",
"code": "<string>",
"accountId": "<string>",
"billDate": "2023-12-25",
"amount": 123,
"units": 123,
"unitPrice": 123,
"currency": "<string>",
"description": "<string>",
"entityId": "<string>",
"billId": "<string>",
"accountingProductId": "<string>",
"servicePeriodStartDate": "2023-11-07T05:31:56Z",
"servicePeriodEndDate": "2023-11-07T05:31:56Z",
"notes": "<string>",
"contractId": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"scheduleId": "<string>"
}
Authorization
- Authorization: Required - Bearer token
Path Parameters
- orgId: string, required - UUID of the organization
- id: string, required - The UUID of the Charge to delete.
Response Schema
- Success: Response containing a Charge entity or message.